io.vertx.ext.web.handler.graphql.ws

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - io.vertx.ext.web.handler.graphql.ws.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<MessageType>

      public enum MessageType
      extends Enum<MessageType>

  The `Message` types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE`
    `CONNECTION_ACK`
    `CONNECTION_INIT`
    `ERROR`
    `NEXT`
    `PING`
    `PONG`
    `SUBSCRIBE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageType` | `from(String type)` Get a `MessageType` from its text representation.
    `String` | `getText()`
    `static MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTION_INIT

          public static final MessageType CONNECTION_INIT

    - #### CONNECTION_ACK

          public static final MessageType CONNECTION_ACK

    - #### PING

          public static final MessageType PING

    - #### PONG

          public static final MessageType PONG

    - #### SUBSCRIBE

          public static final MessageType SUBSCRIBE

    - #### NEXT

          public static final MessageType NEXT

    - #### ERROR

          public static final MessageType ERROR

    - #### COMPLETE

          public static final MessageType COMPLETE

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getText

          public String getText()

      Returns:
        text representation of the `Message`

    - #### from

          public static MessageType from(String type)

      Get a `MessageType` from its text representation.
      Parameters:
        `type` - the message type text representation
      Returns:
        the corresponding message type or null if none matches

Copyright © 2021 Eclipse. All rights reserved.